I can't install express Node v0.8.3 npm v1.1.43 Mac OS X Lion #2640

Closed
donflopez opened this Issue Jul 20, 2012 · 1 comment

Projects

None yet

2 participants

@donflopez

npm http GET https://registry.npmjs.org/express
npm http 304 https://registry.npmjs.org/express
npm http GET https://registry.npmjs.org/connect/2.3.9
npm http GET https://registry.npmjs.org/commander/0.6.1
npm http GET https://registry.npmjs.org/range-parser/0.0.4
npm http GET https://registry.npmjs.org/fresh/0.1.0
npm http GET https://registry.npmjs.org/methods/0.0.1
npm http GET https://registry.npmjs.org/response-send/0.0.1
npm http GET https://registry.npmjs.org/cookie/0.0.3
npm http GET https://registry.npmjs.org/debug
npm http GET https://registry.npmjs.org/send/0.0.3
npm http GET https://registry.npmjs.org/mkdirp/0.3.3
npm http 304 https://registry.npmjs.org/commander/0.6.1
npm http 304 https://registry.npmjs.org/fresh/0.1.0
npm http 304 https://registry.npmjs.org/range-parser/0.0.4
npm http 304 https://registry.npmjs.org/connect/2.3.9
npm http 304 https://registry.npmjs.org/methods/0.0.1
npm WARN package.json connect@2.3.9 No README.md file found!
npm WARN package.json methods@0.0.1 No README.md file found!
npm http 304 https://registry.npmjs.org/response-send/0.0.1
npm http 304 https://registry.npmjs.org/mkdirp/0.3.3
npm http 304 https://registry.npmjs.org/debug
npm http 304 https://registry.npmjs.org/cookie/0.0.3
npm http 304 https://registry.npmjs.org/send/0.0.3
npm http GET https://registry.npmjs.org/crc/0.2.0
npm http GET https://registry.npmjs.org/mime/1.2.6
npm http GET https://registry.npmjs.org/qs/0.4.2
npm http GET https://registry.npmjs.org/formidable/1.0.11
npm http GET https://registry.npmjs.org/cookie/0.0.4
npm http GET https://registry.npmjs.org/bytes/0.1.0
npm http 304 https://registry.npmjs.org/mime/1.2.6
npm http 304 https://registry.npmjs.org/crc/0.2.0
npm http 304 https://registry.npmjs.org/qs/0.4.2
npm http 304 https://registry.npmjs.org/formidable/1.0.11
npm http 304 https://registry.npmjs.org/cookie/0.0.4
npm http 304 https://registry.npmjs.org/bytes/0.1.0
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/express/node_modules/connect/node_modules/qs/test/parse.js'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 11.4.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "express"
npm ERR! cwd /Users/donflopez/Documents/Proyectos
npm ERR! node -v v0.8.3
npm ERR! npm -v 1.1.43
npm ERR! path /usr/local/lib/node_modules/express/node_modules/connect/node_modules/qs/test/parse.js
npm ERR! fstream_path /usr/local/lib/node_modules/express/node_modules/connect/node_modules/qs/test/parse.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack Writer._finish.er.fstream_finish_call (/usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26)
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, open '/usr/local/lib/node_modules/express/node_modules/connect/node_modules/formidable/package.json'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 11.4.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "express"
npm ERR! cwd /Users/donflopez/Documents/Proyectos
npm ERR! node -v v0.8.3
npm ERR! npm -v 1.1.43
npm ERR! path /usr/local/lib/node_modules/express/node_modules/connect/node_modules/formidable/package.json
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/donflopez/Documents/Proyectos/npm-debug.log
npm ERR! not ok code 0

@isaacs
npm member

Run npm cache clean and then try again.

@isaacs isaacs closed this Jul 21, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment